org.apache.el.stream

## Class Stream

- java.lang.Object
- - org.apache.el.stream.Stream

    public class Stream
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Stream(Iterator<Object> iterator)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Optional` `allMatch(LambdaExpression le)`
`Optional` `anyMatch(LambdaExpression le)`
`Optional` `average()`
`Long` `count()`
`Stream` `distinct()`
`Stream` `filter(LambdaExpression le)`
`Optional` `findFirst()`
`Stream` `flatMap(LambdaExpression le)`
`Object` `forEach(LambdaExpression le)`
`Iterator<?>` `iterator()`
`Stream` `limit(Number count)`
`Stream` `map(LambdaExpression le)`
`Optional` `max()`
`Optional` `max(LambdaExpression le)`
`Optional` `min()`
`Optional` `min(LambdaExpression le)`
`Optional` `noneMatch(LambdaExpression le)`
`Stream` `peek(LambdaExpression le)`
`Optional` `reduce(LambdaExpression le)`
`Object` `reduce(Object seed, LambdaExpression le)`
`Stream` `sorted()`
`Stream` `sorted(LambdaExpression le)`
`Stream` `substream(Number start)`
`Stream` `substream(Number start, Number end)`
`Number` `sum()`
`Object[]` `toArray()`
`List<Object>` `toList()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Stream

    public Stream(Iterator<Object> iterator)

### Method Detail

#### filter

    public Stream filter(LambdaExpression le)

#### map

    public Stream map(LambdaExpression le)

#### flatMap

    public Stream flatMap(LambdaExpression le)

#### distinct

    public Stream distinct()

#### sorted

    public Stream sorted()

#### sorted

    public Stream sorted(LambdaExpression le)

#### forEach

    public Object forEach(LambdaExpression le)

#### peek

    public Stream peek(LambdaExpression le)

#### iterator

    public Iterator<?> iterator()

#### limit

    public Stream limit(Number count)

#### substream

    public Stream substream(Number start)

#### substream

    public Stream substream(Number start,
                            Number end)

#### toList

    public List<Object> toList()

#### toArray

    public Object[] toArray()

#### reduce

    public Optional reduce(LambdaExpression le)

#### reduce

    public Object reduce(Object seed,
                         LambdaExpression le)

#### max

    public Optional max()

#### max

    public Optional max(LambdaExpression le)

#### min

    public Optional min()

#### min

    public Optional min(LambdaExpression le)

#### average

    public Optional average()

#### sum

    public Number sum()

#### count

    public Long count()

#### anyMatch

    public Optional anyMatch(LambdaExpression le)

#### allMatch

    public Optional allMatch(LambdaExpression le)

#### noneMatch

    public Optional noneMatch(LambdaExpression le)

#### findFirst

    public Optional findFirst()